#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	igraph
Version		:	0.10.8
Release		:	14.8.0.0%{?dist}
Summary		:	Library for creating and manipulating graphs
	
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/igraph/igraph/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	libxml2-devel
BuildRequires	:	gmp
#-----------------------------------------------------------------------------
%description
igraph wants to be an efficient platform for 
1) complex network analysis and 
2) developing and implementing graph algorithms. 
It provides flexible and efficient data structures for
graphs and related tasks. It also provides implementation
to many classic and new graph algorithms like: maximum
flows, graph isomorphism, scale-free networks,
community structure finding, etc.
 
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG.md doc/html/ ACKNOWLEDGEMENTS.md doc/licenses/
%{_libdir}/lib%{name}.so.3*

#=============================================================================
%package		devel
Summary		:	Development files for using the OpenCV library

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The '%{name}-devel' package contains the header files and some
documentation needed to develop application with '%{name}'.
 
#-----------------------------------------------------------------------------
%files 			devel
%defattr(-,root,root,-)
%doc examples
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}-*.cmake
%{_mandir}/man3/%{name}.3.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B build					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D SYSCONFDIR=%{_sysconfdir}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}	\
	-D CMAKE_BUILD_TYPE=none			\
	-D BUILD_SHARED_LIBS=ON				\
	-D IGRAPH_ENABLE_TLS=1				\
	-D IGRAPH_GRAPHML_SUPPORT=1 			\
	-D BLA_VENDOR=FlexiBLAS				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-C build					\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

install -Dm0644						\
	doc/igraph.3					\
	%{buildroot}/%{_mandir}/man3/igraph.3


#-----------------------------------------------------------------------------
%changelog
